`<leaf>` | encodes the leaves (terminal nodes) of a tree.
Attributes: |
`label` | gives a label for a leaf.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED
`value` | provides the value of a leaf, which is a feature structure or other analytic element.
| Datatype: IDREF
| Values: A valid identifier of a feature structure or other analytic element.
| Default: #IMPLIED
`parent` | provides the ID of parent of a leaf.
| Datatype: IDREF
| Values: The ID of the parent node.
| Default: #IMPLIED
`follow` | provides an ID of an element which this leaf follows.
| Datatype: IDREF
| Values: An ID of another intermediate node or leaf of the tree.
| Default: #IMPLIED
Note | If the tree is unordered or partially ordered, this attribute has the property of fixing the relative order of the leaf and the element which is the value of the attribute.

Example

    <leaf id=peri1 parent=N1 label=periscope>

Note

The in degree of a leaf is always 1, its out degree always 0.

Tagset additional tag set for graphs, networks, and trees
Class
Filename `teinet2`
Content: empty
Parents tree
Children[none]
Declaration

    <!ELEMENT leaf          - O  EMPTY                              >
    <!ATTLIST leaf               %a.global
              label              CDATA               #IMPLIED
              value              IDREF               #IMPLIED
              parent             IDREF               #IMPLIED
              follow             IDREF               #IMPLIED       >

See 21.2

Back to index